| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
nfft_plan Struct Reference
NFFT - Nonequispaced fast Fourier transform

data structure for an NFFT (nonequispaced fast Fourier transform) plan with double precision More...

`#include <nfft3.h>`

## Public Member Functions
| FFTW_MANGLE_DOUBLE (plan) my_fftw_plan1
| Forward FFTW plan.
| FFTW_MANGLE_DOUBLE (plan) my_fftw_plan2
| Backward FFTW plan.

## Data Fields
NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftw_complex * | f_hat
| Fourier coefficients. More...
fftw_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
NFFT_INT | d
| Dimension (rank). More...
NFFT_INT * | N
| Multi-bandwidth. More...
double * | sigma
| Oversampling factor. More...
NFFT_INT * | n
| Length of FFTW transforms. More...
NFFT_INT | n_total
| Combined total length of FFTW transforms. More...
NFFT_INT | m
| Cut-off parameter for window function. More...
double * | b
| Shape parameter for window function.
NFFT_INT | K
| Number of equispaced samples of window function. More...
unsigned | flags
| Flags for precomputation, (de)allocation, and FFTW usage, default setting is PRE_PHI_HUT | PRE_PSI | MALLOC_X | MALLOC_F_HAT | MALLOC_F | FFTW_INIT | FFT_OUT_OF_PLACE.
unsigned | fftw_flags
| Flags for the FFTW, default is FFTW_ESTIMATE | FFTW_DESTROY_INPUT.
double * | x
| Nodes in time/spatial domain, size is doubles.
double | MEASURE_TIME_t [3]
| Measured time for each step if MEASURE_TIME is set.
double ** | c_phi_inv
| Precomputed data for the diagonal matrix , size \ is doubles.
double * | psi
| Precomputed data for the sparse matrix , size depends on precomputation scheme.
NFFT_INT * | psi_index_g
| Indices in source/target vector for PRE_FULL_PSI.
NFFT_INT * | psi_index_f
| Indices in source/target vector for PRE_FULL_PSI.
fftw_complex * | g
| Oversampled vector of samples, size is n_total double complex.
fftw_complex * | g_hat
| Zero-padded vector of Fourier coefficients, size is n_total fftw_complex.
fftw_complex * | g1
| Input of fftw.
fftw_complex * | g2
| Output of fftw.
double * | spline_coeffs
| Input for de Boor algorithm if B_SPLINE or SINC_POWER is defined.
NFFT_INT * | index_x
| Index array for nodes x used when flag NFFT_SORT_NODES is set. More...

## Detailed Description

data structure for an NFFT (nonequispaced fast Fourier transform) plan with double precision

NFFT transform plan

Definition at line 192 of file nfft3.h.

## Field Documentation

NFFT_INT nfft_plan::N_total

Total number of Fourier coefficients.

Definition at line 192 of file nfft3.h.

Referenced by mri_inh_2d1d_init_guru(), nfsoft_trafo(), nsfft_cp(), nsfft_init_random_nodes_coeffs(), and reconstruct().

NFFT_INT nfft_plan::M_total

Total number of samples.

Definition at line 192 of file nfft3.h.

Referenced by construct(), mri_inh_2d1d_init_guru(), mri_inh_3d_adjoint(), nfsoft_precompute(), and reconstruct().

fftw_complex* nfft_plan::f_hat

Fourier coefficients.

Definition at line 192 of file nfft3.h.

Referenced by construct(), mri_inh_2d1d_finalize(), mri_inh_2d1d_init_guru(), mri_inh_2d1d_trafo(), mri_inh_3d_adjoint(), mri_inh_3d_trafo(), nfsft_adjoint(), nfsft_init_advanced(), nfsft_trafo(), nfsoft_adjoint(), nfsoft_init_guru_advanced(), nfsoft_trafo(), nnfft_precompute_full_psi(), nsfft_cp(), nsfft_init_random_nodes_coeffs(), and reconstruct().

fftw_complex* nfft_plan::f

Samples.

Definition at line 192 of file nfft3.h.

Referenced by construct(), mri_inh_2d1d_finalize(), mri_inh_2d1d_init_guru(), mri_inh_2d1d_trafo(), mri_inh_3d_adjoint(), mri_inh_3d_trafo(), nfsft_adjoint(), nfsft_init_advanced(), nfsft_trafo(), nfsoft_adjoint(), nfsoft_trafo(), nnfft_adjoint(), nnfft_precompute_full_psi(), nnfft_trafo(), nsfft_init_random_nodes_coeffs(), and reconstruct().

void(* nfft_plan::mv_trafo) (void *)

Transform.

Definition at line 192 of file nfft3.h.

void(* nfft_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 192 of file nfft3.h.

NFFT_INT nfft_plan::d

Dimension (rank).

Definition at line 192 of file nfft3.h.

NFFT_INT* nfft_plan::N

Multi-bandwidth.

Definition at line 192 of file nfft3.h.

Referenced by nsfft_cp(), and nsfft_init_random_nodes_coeffs().

double* nfft_plan::sigma

Oversampling factor.

Definition at line 192 of file nfft3.h.

NFFT_INT* nfft_plan::n

Length of FFTW transforms.

This is equal to sigma*N. The default is to use a power of two that satifies .

Definition at line 192 of file nfft3.h.

Referenced by nsfft_init_random_nodes_coeffs().

NFFT_INT nfft_plan::n_total

Combined total length of FFTW transforms.

Definition at line 192 of file nfft3.h.

Referenced by nsfft_init_random_nodes_coeffs().

NFFT_INT nfft_plan::m

Cut-off parameter for window function.

Default values for the different window functions are - 6 (KAISER_BESSEL), - 9 (SINC_POWER), - 11 (B_SPLINE), - 12 (GAUSSIAN)

Definition at line 192 of file nfft3.h.

Referenced by mri_inh_2d1d_trafo(), mri_inh_3d_adjoint(), mri_inh_3d_trafo(), nsfft_init(), and nsfft_init_random_nodes_coeffs().

NFFT_INT nfft_plan::K

Number of equispaced samples of window function.

Used for flag PRE_LIN_PSI.

Definition at line 192 of file nfft3.h.

Referenced by nsfft_adjoint().

NFFT_INT* nfft_plan::index_x

Index array for nodes x used when flag NFFT_SORT_NODES is set.

Definition at line 192 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h